Skip to main content
`Ctrl`+`K`

# KSPConvergedDefaultDestroy

Frees the space used by the `KSPConvergedDefault()` function context

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPConvergedDefaultDestroy(void *ctx)

Not Collective

## Input Parameter

- ctx - convergence context

## Note

Pass this function name into `KSPSetConvergenceTest()` along with the context obtained with `KSPConvergedDefaultCreate()` and `KSPConvergedDefault()`

## See Also

KSP: Linear System Solvers, `KSP`, `KSPConvergedDefault()`, `KSPConvergedDefaultCreate()`, `KSPSetConvergenceTest()`, `KSPSetTolerances()`, `KSPConvergedSkip()`, `KSPConvergedReason`, `KSPGetConvergedReason()`, `KSPConvergedDefaultSetUIRNorm()`, `KSPConvergedDefaultSetUMIRNorm()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

## Examples

src/ksp/ksp/tutorials/ex1f.F90

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages